PHP Manual
Prev |  | Next

# bcompiler_write_header

(PECL)

bcompiler_write_header -- Writes the bcompiler header

## Description

bool bcompiler_write_header ( resource filehandle [, string write_ver] )

Writes the header part of a bcompiler file.

## Parameters

`filehandle`

  A file handle as returned by fopen().

`write_ver`

  Can be used to write bytecode in a previously used format, so that you can use it with older versions of bcompiler.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. bcompiler_write_header() example

`<?php $fh = fopen("/tmp/example","w"); bcompiler_write_header($fh); bcompiler_write_class($fh,"DB"); bcompiler_write_footer($fh); fclose($fh); ?>`

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

bcompiler_write_footer()

Prev | Home | Next
bcompiler_write_functions_from_file | Up | bcompiler_write_included_filename